/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tag_agregar', {
            url: '/tag/agregar',
            templateUrl: 'templates/tags/tag-agregar.html' + random,
            controller: 'TagAgregarCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tags-controllers.js' + random,
                            'js/services/tags-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);